/*2017-01-13 add by yb
 * describe:公众号信息管理
 */
var zTreeObj = null;
var setting = {
	view : {
		dblClickExpand : false,
		showLine : false,
		showIcon: false
	},
	check : {
		enable : true
	},
	data : {
		simpleData : {
			enable : true
		}
	},
	callback : {
	}
};

//初始化项目组织树
function initTree(){
	var publicnoId=$("#publicnoId").val();  
	var contextPath=$("#contextPath").val();
	$.ajax({
		url :contextPath+"/pblic/no/organizationTree",
		type : "POST",
		data : {publicnoId:publicnoId},
		dataType:"json",
		success : function(data) {
			$.fn.zTree.init($("#tree"), setting, data);
			zTreeObj=$.fn.zTree.getZTreeObj("tree");
			zTreeObj.expandAll(true);
		},
		error : function(data) {
			// alert("系统繁忙,加载功能树失败..");
		}
	});
}

$(function() {
	//初始化项目树
	initTree();
 	
	//编辑提交
	$("#btn-save").bind("click", function() {
		var name=$("#name").val();
		var developId=$("#developId").val();
		var appId=$("#appId").val();
		var appSecret=$("#appSecret").val();
		if($.trim(name)==""){
			alert("名称不能为空");
			$("#name").focus();
			return;
		}
		if($.trim(developId)==""){
			alert("公众号原始ID不能为空");
			$("#developId").focus();
			return;
		}
		if($.trim(appId)==""){
			alert("AppID应用ID不能为空");
			$("#appId").focus();
			return;
		}
		if($.trim(appSecret)==""){
			alert("Appsecret应用秘钥不能为空");
			$("#appSecret").focus();
			return;
		}
		//组织
		var checkNodes=zTreeObj.getCheckedNodes(true);
		var organizationIds="";
		$.each(checkNodes,function(index,node){
			if(node.level=="1"){
				organizationIds+=node.id+";";
			}
		});
		if(organizationIds==""){
			alert("请在右侧选择关联组织");
			return;
		}
		$("#organizationIds").val(organizationIds);
		showBlock();
		$("#conditionform").submit();
	});
});
